<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.87
Name: [4] Przekroczenie dobowej dawki leku
Description: Szablon CDA dla przekroczenia dobowej dawki leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000">
   <title>[4] Przekroczenie dobowej dawki leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]"
         id="tmp-r-b8ac75e4-5b79-423c-9b97-462f16503469">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'])&gt;=1 and not(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']"
         id="tmp-r-6caf95e3-4408-4bb3-808f-ac863c3e2881">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@classCode">(plCdaDrugDailyDoseExceedEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('ACT')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla classCode MUSI wynosić 'kod ACT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@moodCode">(plCdaDrugDailyDoseExceedEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'] | self::hl7:code[@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='High Dose Alert'] | self::hl7:statusCode[@code='completed'] | self::hl7:entryRelationship[@typeCode='REFR'])])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87']/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:entryRelationship jest mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87']
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87']"
         id="tmp-r-f5748454-8ca6-42d1-9410-607e767f842f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.87'">(plCdaDrugDailyDoseExceedEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.87'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDailyDoseExceedEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-d341cafa-018a-43fa-82e2-db17a0ce4a66">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDailyDoseExceedEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@nullFlavor or (@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='High Dose Alert')">(plCdaDrugDailyDoseExceedEntry): Wartość elementu MUSI wynosić code 'DOSEH' codeSystem '2.16.840.1.113883.5.4' displayName='High Dose Alert'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:statusCode[@code='completed']
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:statusCode[@code='completed']"
         id="tmp-r-ae674058-f254-4775-ad56-75cc5b02f0fd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDailyDoseExceedEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugDailyDoseExceedEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship"
         id="tmp-r-44e2f22d-3dc8-491c-8800-2f16826d6ee0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="string(@typeCode)='REFR'">(plCdaDrugDailyDoseExceedEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:substanceAdministration[@classCode and @moodCode])])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:substanceAdministration jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:substanceAdministration)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:substanceAdministration występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration"
         id="tmp-r-627dfbe3-eaba-4aca-93bb-c24510222297">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@classCode">(plCdaDrugDailyDoseExceedEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('SBADM')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla classCode MUSI wynosić 'kod SBADM'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@moodCode">(plCdaDrugDailyDoseExceedEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:consumable)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:consumable jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:consumable)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:consumable występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-r-5aa8ed3d-70c3-47f5-8a0e-4e574f9d9eac">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-r-b57f35b3-ad56-44d5-a001-b1e06a47268f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-451da505-3989-4835-bd55-9a9a7b7d7ecd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:code)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-r-a956488b-80ae-42af-8933-2fe87b6f80d5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDailyDoseExceedEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
